Revision history   OpenPOWER Library

 Chapter 6. Operating Environment Compatibility Requirements

The purpose of this chapter is to provide the requirements to be able to demonstrate OpenPOWER ELFv2 ABI compliance of an OpenPOWER operating environment. The operating environment may include an operating system kernel, a dynamic loader, and application start-up code provided by the operating environment. This chapter does not specify any particular test harness that needs to be used to demonstrate that those requirements are satisfied; it is expected that tests verifying the listed requirements are added to whatever test harness is already in use for development of the operating environment component.